Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs
Class TermVectorsReader

    java.lang.Object
      org.apache.lucene.codecs.TermVectorsReader

All Implemented Interfaces:
  Closeable, Cloneable

Direct Known Subclasses:
  CompressingTermVectorsReader, Lucene40TermVectorsReader

    public abstract class TermVectorsReader

extends Object
implements Cloneable, Closeable

Codec API for reading term vectors:

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`protected` | `TermVectorsReader()` Sole constructor.

Method Summary
`abstract TermVectorsReader` | `clone()` Create a clone that one caller at a time may use to read term vectors.
`abstract Fields` | `get(int doc)` Returns term vectors for this document, or null if term vectors were not indexed.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TermVectorsReader

    protected TermVectorsReader()

  Sole constructor. (For invocation by subclass constructors, typically implicit.)

Method Detail

### get

    public abstract Fields get(int doc)
                        throws IOException

  Returns term vectors for this document, or null if term vectors were not indexed. If offsets are available they are in an `OffsetAttribute` available from the `DocsAndPositionsEnum`.

  Throws:
    `IOException`

### clone

    public abstract TermVectorsReader clone()

  Create a clone that one caller at a time may use to read term vectors.

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.